# Rotate webhook subscription secret

Rotates the HMAC secret of a webhook subscription.

Endpoint: PATCH /v1/webhook-subscriptions/{webhookSubscriptionUuid}/actions/rotate-secret
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `webhookSubscriptionUuid` (string, required)
    The unique identifier of the webhook subscription whose secret to rotate.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this webhook subscription.

  - `createdAt` (string, required)
    Timestamp when this webhook subscription was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this webhook subscription was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Status of a webhook subscription.
    Enum: "active", "inactive", "suspended"

  - `displayName` (string, required)
    A human-readable name for this webhook subscription.

  - `targetUrl` (string, required)
    The URL that will receive webhook HTTP callbacks.

  - `requestTimeoutMs` (integer, required)
    Timeout in milliseconds for webhook delivery HTTP requests.

  - `secret` (string, required)
    The new HMAC secret for verifying webhook payloads.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


